org.apache.solr.spelling.suggest.fst

## Class FuzzyLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.FuzzyLookupFactory

-     public class FuzzyLookupFactory
      extends LookupFactory

  Factory for `FuzzySuggester`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAX_EDITS` Maximum number of edits allowed, used by `LevenshteinAutomata.toAutomaton(int)` in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
    `static String` | `MIN_FUZZY_LENGTH` Minimum length of lookup key before any edits are allowed for the suggestions in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
    `static String` | `NON_FUZZY_PREFIX` Length of common (non-fuzzy) prefix for the suggestions in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
    `static String` | `TRANSPOSITIONS` If transpositions are allowed, Fuzzy suggestions will be computed based on a primitive edit operation.
    `static String` | `UNICODE_AWARE` If `true`, maxEdits, minFuzzyLength, transpositions and nonFuzzyPrefix will be measured in Unicode code points (actual letters) instead of bytes.

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuzzyLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNICODE_AWARE

          public static final String UNICODE_AWARE

      If `true`, maxEdits, minFuzzyLength, transpositions and nonFuzzyPrefix will be measured in Unicode code points (actual letters) instead of bytes.
      See Also:
        Constant Field Values

    - #### MAX_EDITS

          public static final String MAX_EDITS

      Maximum number of edits allowed, used by `LevenshteinAutomata.toAutomaton(int)` in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
      See Also:
        Constant Field Values

    - #### TRANSPOSITIONS

          public static final String TRANSPOSITIONS

      If transpositions are allowed, Fuzzy suggestions will be computed based on a primitive edit operation. If it is false, it will be based on the classic Levenshtein algorithm. Transpositions of bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
      See Also:
        Constant Field Values

    - #### NON_FUZZY_PREFIX

          public static final String NON_FUZZY_PREFIX

      Length of common (non-fuzzy) prefix for the suggestions in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
      See Also:
        Constant Field Values

    - #### MIN_FUZZY_LENGTH

          public static final String MIN_FUZZY_LENGTH

      Minimum length of lookup key before any edits are allowed for the suggestions in bytes or Unicode code points (if `UNICODE_AWARE` option is set to true).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FuzzyLookupFactory

          public FuzzyLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Specified by:
        `create` in class `LookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Specified by:
        `storeFileName` in class `LookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.